## pim-sieve-editor 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.4.90")
+set(PIM_VERSION "6.5.1")
 project(sieveeditor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.07.90")
+set(RELEASE_SERVICE_VERSION "25.08.1")
 
 # Update it for each release
 set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
@@ -70,7 +70,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -79,14 +79,14 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.4.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(LIBKSIEVE_LIB_VERSION "6.4.90")
-set(PIMCOMMON_LIB_VERSION "6.4.90")
-set(KIMAP_LIB_VERSION "6.4.90")
+set(LIBKSIEVE_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(KIMAP_LIB_VERSION "6.5.1")
 
 find_package(
     Qt6
