=== src/importwizard/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2013-2024 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 add_definitions(-DIMPORTWIZARD_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
 
@@ -9,10 +9,8 @@
         NAME_PREFIX "sieveeditor-importwizard-"
         LINK_LIBRARIES Qt::Test KF6::I18n Qt::Gui Qt::Widgets
         KPim6::MailTransport KF6::ConfigCore KF6::ConfigGui KPim6::KSieveUi libsieveeditor
-)
+    )
 endmacro()
-
-
 
 add_sieveeditor_importwizard_unittest(importimapsettingsearchpagetest.cpp "")
 add_sieveeditor_importwizard_unittest(importimapsettingnofoundpagetest.cpp "")
